Bug 128901 - /sbin/ifup out of sync with iptables firewall
Summary: /sbin/ifup out of sync with iptables firewall
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-30 22:46 UTC by Michal Jaegermann
Modified: 2014-03-17 02:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-31 02:35:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michal Jaegermann 2004-07-30 22:46:56 UTC
Description of problem:

/sbin/ifup has code fragments like that:

if iptables -L -n 2>/dev/null | LC_ALL=C grep -q RH-Lokkit-0-50-INPUT
; then
.....

and more of other "RH-Lokkit" specific pieces.  The catch is that
the current /etc/sysconfig/iptables defines "RH-Firewall-1-INPUT"
chain and there is no "RH-Lokkit" around anymore.  Leftovers from
old times?  DNS still happens to work even if there are no port
53 specific holes punched through.

Version-Release number of selected component (if applicable):
initscripts-7.59-1

Comment 1 Bill Nottingham 2004-07-31 02:35:36 UTC
It's for old compatiblity; it's not needed for the current firewall.


Note You need to log in before you can comment on or make changes to this bug.